:root{
    --primary:#00d4ff;
    --dark:#060a2b;
    --gray:#374b6b;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins', sans-serif;
}

body{
    background:var(--dark);
    color:white;
    overflow-x:hidden;
}


header{
    position:fixed;
    width:100%;
    padding:20px 60px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    z-index:1000;
    transition:0.3s;
}

header.scrolled{
    background:rgba(0,0,0,0.8);
    backdrop-filter:blur(10px);
}

.logo{
    height:40px;
}

nav a{
    margin-left:25px;
    text-decoration:none;
    color:white;
    position:relative;
}

nav a::after{
    content:'';
    position:absolute;
    width:0%;
    height:2px;
    background:var(--primary);
    bottom:-5px;
    left:0;
    transition:0.3s;
}

nav a:hover::after{
    width:100%;
}

/* HERO */
.hero{
    height:100vh;
    background:url('Img/IME.png') center no-repeat;
    background-size: 600px;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
    position:relative;
}

.hero::after{
    content:'';
    position:absolute;
    width:100%;
    height:100%;
    background:linear-gradient(to bottom, rgba(0,0,0,0.6), var(--dark));
}

.hero-content{
    position:relative;
    z-index:2;
    animation:fadeUp 1.2s ease;
}

.hero h1{
    font-size:3.5rem;
}

.hero p{
    margin:20px 0;
}

.btn{
    padding:14px 30px;
    background:var(--primary);
    color:black;
    border:none;
    border-radius:8px;
    cursor:pointer;
    font-weight:bold;
    transition:0.3s;
}

.btn:hover{
    transform:scale(1.05);
}

/* SECTIONS */
section{
    padding:100px 60px;
}

.title{
    text-align:center;
    margin-bottom:60px;
}

/* GRID */
.grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:30px;
}

/* CARD */
.card{
    background:var(--gray);
    padding:30px;
    border-radius:12px;
    transition:0.4s;
}

.card:hover{
    transform:translateY(-10px) scale(1.02);
}

.card-img{
    width:100%;
    border-radius:10px;
    margin-bottom:15px;
}

/* STATS */
.stats{
    display:flex;
    justify-content:space-around;
    text-align:center;
}

.clientes{
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    align-items:center;
    gap:40px;
}

.clientes img{
    height:100px;
    opacity:0.7;
    transition:0.3s;
    filter:grayscale(100%);
}

.clientes img:hover{
    opacity:1;
    filter:grayscale(0%);
    transform:scale(1.1);
}


/* PROJECTS */
.project{
    height:200px;
    border-radius:10px;
    background-size:cover;
    background-position:center;
    position:relative;
}

.project::after{
    content:'';
    position:absolute;
    width:100%;
    height:100%;
    background:rgba(0, 0, 0, 0.4);
}

/* FORM */
form{
    max-width:500px;
    margin:auto;
    display:flex;
    flex-direction:column;
    gap:15px;
}

input, textarea{
    padding:12px;
    border:none;
    border-radius:6px;
}

/* FOOTER */
footer{
    text-align:center;
    padding:30px;
    background:black;
}

/* ANIMATIONS */
.hidden{
    opacity:0;
    transform:translateY(40px);
    transition:0.8s;
}

.show{
    opacity:1;
    transform:translateY(0);
}

@keyframes fadeUp{
    from{opacity:0; transform:translateY(40px);}
    to{opacity:1; transform:translateY(0);}
}

/* WHATS */
.whatsapp{
    position:fixed;
    bottom:20px;
    right:20px;
    background:#25D366;
    padding:15px;
    border-radius:50%;
}

.contact-container{
    display:flex;
    gap:40px;
    align-items:center;
    flex-wrap:wrap;
}

.contact-info{
    flex:1;
    min-width:300px;
}

.contact-info p{
    margin:10px 0;
}

.mapa{
    flex:1;
    min-width:300px;
    height:300px;
}
.carousel{
    overflow:hidden;
    position:relative;
}

.carousel-track{
    display:flex;
    width:max-content;
    animation:scroll 25s linear infinite;
}

.carousel-track img{
    width:500px;
    height:400px;
    object-fit:cover;
    margin-right:20px;
    border-radius:10px;
    transition:0.3s;
}

.carousel-track img:hover{
    transform:scale(1.05);
}

/* ANIMACIÓN */
@keyframes scroll{
    0%{
        transform:translateX(0);
    }
    100%{
        transform:translateX(-50%);
    }
}
.carousel::before,
.carousel::after{
    content:'';
    position:absolute;
    top:0;
    width:100px;
    height:100%;
    z-index:2;
}

.carousel::before{
    left:0;
    background:linear-gradient(to right, #020617, transparent);
}

.carousel::after{
    right:0;
    background:linear-gradient(to left, #020617, transparent);
}

@media (max-width:768px){

    header{
        padding:15px 20px;
        flex-direction:column;
        gap:10px;
    }

    nav{
        display:flex;
        flex-wrap:wrap;
        justify-content:center;
    }

    nav a{
        margin:5px 10px;
        font-size:14px;
    }

    .hero h1{
        font-size:2rem;
    }

    section{
        padding:40px 20px;
    }

    .grid{
        grid-template-columns:1fr;
    }

    .card img{
        height:auto;
    }

    .cta-ia h2{
        font-size:1.5rem;
    }

    .btn, .btn-cta{
        width:100%;
    }

}
